%define oname 	purple-plugin-pack
%define hgdate	20200305
%define rel	1

%define _disable_ld_no_undefined 1

Summary:	Plugin Pack for libpurple and derived IM clients
Name:		pidgin-plugin-pack
Version:	2.7.1
Release:	%mkrel -c dev%{hgdate} %{rel}
License:	GPLv2+
Group:		Networking/Instant messaging
URL:		https://bitbucket.org/pidgin/purple-plugin-pack
Source0:	%{oname}-%{hgdate}.tar.xz
BuildRequires:	meson
BuildRequires:	intltool
BuildRequires:	python3
BuildRequires:	pidgin-devel
BuildRequires:	gtk2-devel
BuildRequires:	pkgconfig(gtkspell-2.0)
BuildRequires:	pkgconfig(enchant-2)
#gw not yet:
#BuildRequires: talkfilters-devel
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libgadu)
Requires:	pidgin

%description
Additional plugins for Pidgin.

%prep
%setup -q -n purple-plugin-pack-%{hgdate}

# build with enchant-2
sed -i -e "s,'enchant','enchant-2',g" meson.build

%build
%meson
%meson_build

%install
%meson_install

%find_lang plugin_pack

%files -f plugin_pack.lang
%doc AUTHORS ChangeLog
%{_datadir}/pixmaps/pidgin/protocols/*/okcupid.png
%_libdir/pidgin/album.so
%_libdir/pidgin/blistops.so
%_libdir/pidgin/convbadger.so
%_libdir/pidgin/difftopic.so
%_libdir/pidgin/enhancedhist.so
%_libdir/pidgin/gRIM.so
%_libdir/pidgin/icon-override.so
#_libdir/pidgin/infopane.so
%_libdir/pidgin/irssi.so
%_libdir/pidgin/lastseen.so
%_libdir/pidgin/listlog.so
%_libdir/pidgin/mystatusbox.so
%_libdir/pidgin/nicksaid.so
%_libdir/pidgin/plonkers.so
%_libdir/pidgin/schedule.so
%_libdir/pidgin/sepandtab.so
%_libdir/pidgin/switchspell.so
#_libdir/pidgin/talkfilters.so
%_libdir/pidgin/timelog.so
#_libdir/pidgin/xchat-chats.so
#_libdir/purple-2/autoprofile.so
%_libdir/purple-2/autoreply.so
%_libdir/purple-2/bash.so
%_libdir/purple-2/capsnot.so
%_libdir/purple-2/colorize.so
%_libdir/purple-2/dewysiwygification.so
%_libdir/purple-2/dice.so
%_libdir/purple-2/eight_ball.so
#_libdir/purple-2/findip.so
%_libdir/purple-2/flip.so
%_libdir/purple-2/google.so
%_libdir/purple-2/groupmsg.so
%_libdir/purple-2/highlight.so
%_libdir/purple-2/ignore.so
%_libdir/purple-2/irchelper.so
%_libdir/purple-2/irc-more.so
%_libdir/purple-2/listhandler.so
%_libdir/purple-2/ning.so
%_libdir/purple-2/okcupid.so
%_libdir/purple-2/oldlogger.so
%_libdir/purple-2/omegle.so
%_libdir/purple-2/showoffline.so
%_libdir/purple-2/simfix.so
%_libdir/purple-2/slashexec.so
%_libdir/purple-2/snpp.so
%_libdir/purple-2/splitter.so
%_libdir/purple-2/sslinfo.so
%_libdir/purple-2/translate.so
%_libdir/purple-2/xmppprio.so


%changelog
* Sat May 23 2020 wally <wally> 2.7.1-0.dev20200305.1.mga8
+ Revision: 1587074
- update to latest dev snapshot
- replace deprecated %%configure2_5x
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Feb 23 2019 wally <wally> 2.7.0-9.mga7
+ Revision: 1369595
- switch to enchant2

* Sun Sep 23 2018 umeabot <umeabot> 2.7.0-8.mga7
+ Revision: 1300273
- Mageia 7 Mass Rebuild

* Wed Jul 25 2018 wally <wally> 2.7.0-7.mga7
+ Revision: 1245282
- fix build on aarch64
- use new make macros

* Wed Jan 13 2016 gw666 <gw666> 2.7.0-6.mga6
+ Revision: 922451
- rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.7.0-5.mga6
+ Revision: 748417
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.7.0-4.mga5
+ Revision: 687590
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.7.0-3.mga4
+ Revision: 522333
- Mageia 4 Mass Rebuild

* Thu Feb 14 2013 gw666 <gw666> 2.7.0-2.mga3
+ Revision: 398342
- new version
- remove xmms plugin
- temporarily disable talkfilters plugin
- add icon_override, capsnot, ning, okcupid, omegle and translate plugins
- imported package pidgin-plugin-pack


* Tue Jul 26 2011 Götz Waschk <waschk@mandriva.org> 2.6.3-2mdv2012.0
+ Revision: 691702
- rebuild

* Sun Jul 25 2010 Götz Waschk <waschk@mandriva.org> 2.6.3-1mdv2011.0
+ Revision: 558536
- new version

* Wed Jan 20 2010 Götz Waschk <waschk@mandriva.org> 2.6.2-1mdv2010.1
+ Revision: 494041
- new version
- readd talkfilters plugin

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 2.6.0-2mdv2010.1
+ Revision: 460851
- new version
- drop patch
- update file list

* Mon Apr 20 2009 Götz Waschk <waschk@mandriva.org> 2.5.1-2mdv2010.0
+ Revision: 368373
- fix very slow tab switching with switchspell enabled

* Fri Jan 02 2009 Funda Wang <fwang@mandriva.org> 2.5.1-1mdv2009.1
+ Revision: 323291
- New version 2.5.1

* Tue Aug 05 2008 Götz Waschk <waschk@mandriva.org> 2.4.0-1mdv2009.0
+ Revision: 264082
- update build deps
- new version
- remove talkfilters plugin
- add new plugins: autoprofile, colorize, google, listlog, splitter

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.3.0-1mdv2009.0
+ Revision: 192441
- new version
- drop patch
- update file list

* Mon Mar 03 2008 Götz Waschk <waschk@mandriva.org> 2.2.0-2mdv2008.1
+ Revision: 177960
- patch to fix timelog plugin

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 05 2007 Götz Waschk <waschk@mandriva.org> 2.2.0-1mdv2008.1
+ Revision: 106112
- new version
- update plugin list

* Wed Oct 03 2007 Funda Wang <fwang@mandriva.org> 2.1.1-2mdv2008.0
+ Revision: 95067
- rebuild against pidgin 2.2.1

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 2.1.1-1mdv2008.0
+ Revision: 72700
- new version
- update file list

* Fri Jul 20 2007 Götz Waschk <waschk@mandriva.org> 2.0.0-1mdv2008.0
+ Revision: 53860
- fix version macro in the spec file
- new version
- add new plugins
- update buildrequires

* Sun Jun 03 2007 Götz Waschk <waschk@mandriva.org> 1.0-1mdv2008.0
+ Revision: 34951
- new version

* Thu May 03 2007 Götz Waschk <waschk@mandriva.org> 1.0-0.beta7.2mdv2008.0
+ Revision: 20867
- split out xmms package

* Wed May 02 2007 Götz Waschk <waschk@mandriva.org> 1.0-0.beta7.1mdv2008.0
+ Revision: 20766
- Import pidgin-plugin-pack




* Wed May  2 2007 Götz Waschk <waschk@mandriva.org> 1.0-0.beta7.1mdv2008.0
- initial package

* Mon Apr 30 2007 Stu Tomlinson <stu@nosnilmot.com>
- Update for the rename of Gaim to Pidgin
- New URL for our new website
- Use tar.bz2 for source
- Split into pidgin- and purple- RPMs

* Tue Dec 5 2006 John Bailey <rekkanoryo@rekkanoryo.org>
- Update the URL to match our new website

* Thu Oct 19 2006 Stu Tomlinson <stu@nosnilmot.com>
- Removed locale from %%files, that's what %%find_lang is for
- Fixed finding translations
- Fixed %%s in %%changelog
- Package xmms pixmaps
- Add xmms-devel buildrequires

* Sun Nov 11 2005 Peter Lawler <bleeter from users.sf.net>
- Added locale to %%files
- Enabled %%find_lang

* Thu Nov 03 2005 Stu Tomlinson <stu@nosnilmot.com>
- Fix it again

* Wed Nov 02 2005 Peter Lawler <bleeter@users.sf.net>
- Fixed up the Mandrivel .so rename

* Tue Nov 01 2005 Stu Tomlinson <stu@nosnilmot.com>
- Fix it

* Tue Nov 01 2005 Peter Lawler <bleeter@users.sf.net>
- Initial Spec File for Plugin Pack
